Vue UI Components Documentation

Vue Input Component

The Input component for Vue represents an Input widget with auto-complete capabilities.

Prerequisites

Refer to Vue Getting Started before you start with this help topic.

Configuration

After you have created your App.vue file, here is how you should structure it:

The Input component for Vue requires the following import:

import JqxInput from "jqwidgets-scripts/jqwidgets-vue/vue_jqxinput.vue";

Add the jqxInput component to the components section of the the Vue class:

 components: {
JqxInput
},

Template

The App.vue has a <template> structural tag where we determine the application structure. There we will also set the tags for the new components - <JqxInput/>

<template>
<JqxInput :width="200" :height="25"
:source="countries" :minLength="1"
:placeHolder="'Enter a Country'">
</JqxInput>
</template>

Properties

The properties of the <JqxInput/> component are defined in the data member of the Vue class. We should put them in the return object of the data function:

data: function () {
return {
countries: ["Afghanistan", "Albania", "Algeria", "Andorra", "Angola", "Antarctica", "Antigua and Barbuda", "Argentina", "Armenia", "Australia", "Austria", "Azerbaijan", "Bahamas", "Bahrain", "Bangladesh", "Barbados", "Belarus", "Belgium", "Belize", "Benin", "Bermuda", "Bhutan", "Bolivia", "Bosnia and Herzegovina", "Botswana", "Brazil", "Brunei", "Bulgaria", "Burkina Faso", "Burma", "Burundi", "Cambodia", "Cameroon", "Canada", "Cape Verde", "Central African Republic", "Chad", "Chile", "China", "Colombia", "Comoros", "Congo, Democratic Republic", "Congo, Republic of the", "Costa Rica", "Cote d'Ivoire", "Croatia", "Cuba", "Cyprus", "Czech Republic", "Denmark", "Djibouti", "Dominica", "Dominican Republic", "East Timor", "Ecuador", "Egypt", "El Salvador", "Equatorial Guinea", "Eritrea", "Estonia", "Ethiopia", "Fiji", "Finland", "France", "Gabon", "Gambia", "Georgia", "Germany", "Ghana", "Greece", "Greenland", "Grenada", "Guatemala", "Guinea", "Guinea-Bissau", "Guyana", "Haiti", "Honduras", "Hong Kong", "Hungary", "Iceland", "India", "Indonesia", "Iran", "Iraq", "Ireland", "Israel", "Italy", "Jamaica", "Japan", "Jordan", "Kazakhstan", "Kenya", "Kiribati", "Korea, North", "Korea, South", "Kuwait", "Kyrgyzstan", "Laos", "Latvia", "Lebanon", "Lesotho", "Liberia", "Libya", "Liechtenstein", "Lithuania", "Luxembourg", "Macedonia", "Madagascar", "Malawi", "Malaysia", "Maldives", "Mali", "Malta", "Marshall Islands", "Mauritania", "Mauritius", "Mexico", "Micronesia", "Moldova", "Mongolia", "Morocco", "Monaco", "Mozambique", "Namibia", "Nauru", "Nepal", "Netherlands", "New Zealand", "Nicaragua", "Niger", "Nigeria", "Norway", "Oman", "Pakistan", "Panama", "Papua New Guinea", "Paraguay", "Peru", "Philippines", "Poland", "Portugal", "Qatar", "Romania", "Russia", "Rwanda", "Samoa", "San Marino", " Sao Tome", "Saudi Arabia", "Senegal", "Serbia and Montenegro", "Seychelles", "Sierra Leone", "Singapore", "Slovakia", "Slovenia", "Solomon Islands", "Somalia", "South Africa", "Spain", "Sri Lanka", "Sudan", "Suriname", "Swaziland", "Sweden", "Switzerland", "Syria", "Taiwan", "Tajikistan", "Tanzania", "Thailand", "Togo", "Tonga", "Trinidad and Tobago", "Tunisia", "Turkey", "Turkmenistan", "Uganda", "Ukraine", "United Arab Emirates", "United Kingdom", "United States", "Uruguay", "Uzbekistan", "Vanuatu", "Venezuela", "Vietnam", "Yemen", "Zambia", "Zimbabwe"]
}
}

Events

The events in Vue are set as an attribute with @ prefix, for example:

<JqxInput @open="onOpen()"
:width="200" :height="25"
:source="countries" :minLength="1"
:placeHolder="'Enter a Country'">
</JqxInput>

All events that are bound to a component are implemented in the methods member of the Vue class.

methods: {
onOpen: function () {
// Do something...
}
}

Methods

To use a component's method we should have its reference. In Vue we refer to a component by the special $refs property. Before that we need to add the desired name reference to that component:

<JqxInput ref="input"></JqxInput>

Here how you can use a component's method:

this.$refs.input.selectAll();

methods: {
// Add here all used callbacks and/or events
onOpen: function () {
// Do something...
this.$refs.input.selectAll();
}
}

If we want to add additional methods we should also implement them in the methods member.

In case we need to do some precalculation or something else before the components are rendered, we should use the beforeCreate member. It depends on the case.

If you have followed the above steps, you App.vue file would look like this:

App.vue:

Input Example

<template>
<div>
<JqxInput ref="myInput" @select="myInputOnSelect($event)"
:width="200" :height="25" :source="dataAdapter"
:placeHolder="'Contact Name:'" :valueMember="'CompanyName'"
:displayMember="'ContactName'">
</JqxInput>
<br />
<label style="font-family: Verdana; font-size: 10px">ex: Ana</label>
<div ref="selectionLog" style="font-family: Verdana; font-size: 13px"></div>
</div>
</template>
<script>
import JqxInput from "jqwidgets-scripts/jqwidgets-vue/vue_jqxinput.vue";
export default {
components: {
JqxInput
},
data: function () {
return {
dataAdapter: new jqx.dataAdapter(this.source)
}
},
beforeCreate: function () {
this.source = {
datatype: 'json',
datafields: [
{ name: 'CompanyName' },
{ name: 'ContactName' }
],
url: 'sampledata/customers.txt'
}
},
methods: {
myInputOnSelect: function (event) {
if (event.args) {
let item = event.args.item;
if (item) {
let valueElement = document.createElement('div');
valueElement.innerHTML = 'Value: ' + item.value;
let labelElement = document.createElement('div');
labelElement.innerHTML = 'Label: ' + item.label;
let selectionLog = this.$refs.selectionLog;
selectionLog.innerHTML = '';
selectionLog.appendChild(labelElement);
selectionLog.appendChild(valueElement);
setTimeout(_ => this.$refs.myInput.val(item.label));
}
}
}
}
}
</script>
<style>
</style>

Run Code

React UI Components Documentation
ReactJS Input Component
The Input component for ReactJS represents an Input widget with auto-complete capabilities.
Prerequisites
Refer to ReactJS Getting Started before you start with this help topic.
Configuration
The Input component for ReactJS requires the following imports.
import React from 'react';import ReactDOM from 'react-dom'; import JqxInput from 'jqwidgets-react/react_jqxinput.js';
Then we create our component class. Properties and methods are put as ReactJS props.
class App extends React.Component { render () { return ( <JqxInput width={150} height={50} /> ) }}
Finally we render our class in the desired HTML element:
ReactDOM.render(<App />, document.getElementById('app'));
Events Methods & Properties
In order to bind to any event, change any property or call any method, we need a reference to the component.
For that we use the ReactJS "ref" Callback Attribute:
<JqxInput ref='myInput' width={150} height={50}..... />
Now, when we have a reference, we need to call the desired event/property/method.
This is done in the componentDidMount() ReactJS Component Lifecycle method.
class App extends React.Component { componentDidMount() { //your logic } render () { return ( .... ) }};
Events
The close event is triggered when the auto-suggest popup is closed.
The following example demonstrates how to add an event listener:
componentDidMount (){ this.refs.myInput.on('close', (event) => { //your logic }); }
Methods & Properties
This is how you call methods & props:
//Get Methodslet date = this.refs.myInput.val(); //Set Methodsthis.refs.myInput.val('New Value'); //Get Propertieslet height = this.refs.myInput.height(); //Set Propertiesthis.refs.myInput.height(25);
Every component have a method setOptions which accepts a object as an argument. This object contains component settings.
this.refs.myInput.setOptions({ theme: '"energyblue"', width: 250, height: 30})
Every component also have a method getOptions which returns a object containing the component settings.
let options = this.refs.myInput.getOptions();
Input Examples
Overview
The following example demonstrates how to create a Input component.
import React from 'react';import ReactDOM from 'react-dom'; import JqxInput from 'jqwidgets-react/react_jqxinput.js'; class App extends React.Component { render () { return ( <JqxInput width={150} height={50} placeHolder={'Enter A Country'}/> ) }} ReactDOM.render(<App />, document.getElementById('app'));
Disabled Input
The following example demonstrates how to disable the Input component.

Angular UI Components Documentation

Angular Input Component

The Input component for Angular represents an Input widget with auto-complete capabilities.

1. Installation

The easiest way to get started with jQWidgets UI for Angular is to use the Angular CLI Tool. To scaffold your project structure, follow its installation instructions.

npm install -g @angular/cli
ng new jqwidgets-project
cd jqwidgets-project

Install jQWidgets

jQWidgets Angular UI comes packaged with Angular CLI schematics to make creating Angular applications easier. Schematics are included with both @angular/cdk and jqwidgets-ng. Once you install the npm packages, they will be available through the Angular CLI.

Angular CLI supports the addition of packages through the ng add command. The ng add command provides faster and more user-friendly package installation. To install the jQWidgets UI for Angular package, use ng add and add the name of the NPM package:

ng add jqwidgets-ng

Alternatively, you can use the standard installation (Manual Setup)

jQWidgets UI for Angular is distributed as jqwidgets-ng NPM package

  1. Download and install the package.
    npm install jqwidgets-ng
  2. Adding CSS reference

    The following CSS file is available in ../node_modules/jqwidgets-ng/ package folder. This can be referenced in [src/styles.css] using following code.

    @import 'jqwidgets-ng/jqwidgets/styles/jqx.base.css';

    Another way to achieve the same is to edit the angular.json file and in the styles add the style.

    "styles": [
    	"node_modules/jqwidgets-ng/jqwidgets/styles/jqx.base.css"
    ]
    

2. Add the HTML for jQWidgets component in src/app/app.component.html

app.component.html


<div style="height: 30px"></div>

<jqxInput [theme]="'fluent'" 
    [width]="200" [height]="25" [source]="countries"
    [minLength]="1" [placeHolder]="'Enter a Country'">
</jqxInput>	

3. Setup Component Logic

app.component.ts


import { Component } from '@angular/core';

import { jqxInputModule, jqxInputComponent } from 'jqwidgets-ng/jqxinput';
@Component({
    selector: 'app-root',
    imports: [jqxInputModule],
    standalone: true,
    templateUrl: './app.component.html'
})

export class AppComponent {
    countries: string[] = new Array("Afghanistan", "Albania", "Algeria", "Andorra", "Angola", "Antarctica", "Antigua and Barbuda", "Argentina", "Armenia", "Australia", "Austria", "Azerbaijan", "Bahamas", "Bahrain", "Bangladesh", "Barbados", "Belarus", "Belgium", "Belize", "Benin", "Bermuda", "Bhutan", "Bolivia", "Bosnia and Herzegovina", "Botswana", "Brazil", "Brunei", "Bulgaria", "Burkina Faso", "Burma", "Burundi", "Cambodia", "Cameroon", "Canada", "Cape Verde", "Central African Republic", "Chad", "Chile", "China", "Colombia", "Comoros", "Congo, Democratic Republic", "Congo, Republic of the", "Costa Rica", "Cote d'Ivoire", "Croatia", "Cuba", "Cyprus", "Czech Republic", "Denmark", "Djibouti", "Dominica", "Dominican Republic", "East Timor", "Ecuador", "Egypt", "El Salvador", "Equatorial Guinea", "Eritrea", "Estonia", "Ethiopia", "Fiji", "Finland", "France", "Gabon", "Gambia", "Georgia", "Germany", "Ghana", "Greece", "Greenland", "Grenada", "Guatemala", "Guinea", "Guinea-Bissau", "Guyana", "Haiti", "Honduras", "Hong Kong", "Hungary", "Iceland", "India", "Indonesia", "Iran", "Iraq", "Ireland", "Israel", "Italy", "Jamaica", "Japan", "Jordan", "Kazakhstan", "Kenya", "Kiribati", "Korea, North", "Korea, South", "Kuwait", "Kyrgyzstan", "Laos", "Latvia", "Lebanon", "Lesotho", "Liberia", "Libya", "Liechtenstein", "Lithuania", "Luxembourg", "Macedonia", "Madagascar", "Malawi", "Malaysia", "Maldives", "Mali", "Malta", "Marshall Islands", "Mauritania", "Mauritius", "Mexico", "Micronesia", "Moldova", "Mongolia", "Morocco", "Monaco", "Mozambique", "Namibia", "Nauru", "Nepal", "Netherlands", "New Zealand", "Nicaragua", "Niger", "Nigeria", "Norway", "Oman", "Pakistan", "Panama", "Papua New Guinea", "Paraguay", "Peru", "Philippines", "Poland", "Portugal", "Qatar", "Romania", "Russia", "Rwanda", "Samoa", "San Marino", " Sao Tome", "Saudi Arabia", "Senegal", "Serbia and Montenegro", "Seychelles", "Sierra Leone", "Singapore", "Slovakia", "Slovenia", "Solomon Islands", "Somalia", "South Africa", "Spain", "Sri Lanka", "Sudan", "Suriname", "Swaziland", "Sweden", "Switzerland", "Syria", "Taiwan", "Tajikistan", "Tanzania", "Thailand", "Togo", "Tonga", "Trinidad and Tobago", "Tunisia", "Turkey", "Turkmenistan", "Uganda", "Ukraine", "United Arab Emirates", "United Kingdom", "United States", "Uruguay", "Uzbekistan", "Vanuatu", "Venezuela", "Vietnam", "Yemen", "Zambia", "Zimbabwe");
}

Summary

jQWidgets UI for Angular provides an easy way to integrate robust UI components into your Angular project. By using either the ng add command or manual setup, you can quickly get started. Once the setup is complete, you can add the desired jQWidgets components and configure them in your Angular components to match your application requirements.

Input API

API Reference of the jQWidgets Input component for Angular: Input API